package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;
import lombok.Getter;

/**
 * @author Cup
 * @date 2022/8/3
 */
@ApiModel("商品类型枚举")
public enum GoodsTypeEnum implements IEnum<Integer> {


    REAL_GOODS(1,"实物商品"),

    CARD_GOODS(2,"卡密商品");

    @Getter
    private Integer value;

    @Getter
    private String description;


    @Override
    public Integer getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    GoodsTypeEnum(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}
